import Vue from 'vue'
import App from './App'
import {
	router,
	RouterMount
} from "@/shopro/router";
import uView from 'uview-ui'
import store from "@/shopro/store";
App.mpType = 'app'
//引入路由
Vue.use(router);
// 引入全局uView
Vue.use(uView);
const app = new Vue({
	store,
    ...App
})
//v1.3.5起 H5端 你应该去除原有的app.$mount();使用路由自带的渲染方式
// #ifdef H5
	RouterMount(app,router,'#app')
// #endif

// #ifndef H5
	app.$mount(); //为了兼容小程序及app端必须这样写才有效果
// #endif

// #ifdef VUE3
import { createSSRApp } from 'vue'
export function createApp() {
  const app = createSSRApp(App)
  return {
    app
  }
}
// #endif